Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class SolveDefinition

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.SolveDefinition

Direct Known Subclasses:
  AggregationDefinition, AllocationDefinition, ForecastDefinition

public abstract class SolveDefinition
extends BaseObject

The instructions for performing a `Solve`. A `SolveDefinition` can be an `AggregationDefinition`, an `AllocationDefinition`, or a `ForecastDefinition`. A `SolveDefinition` is owned by a `Cube`.

See Also:
  `Solve`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`SolveDefinition(BaseObject input)` Creates a `SolveDefinition` for the specified `Cube`.

Method Summary
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `SolveDefinition`.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolveDefinition

    public SolveDefinition(BaseObject input)

  Creates a `SolveDefinition` for the specified `Cube`.
  Parameters:
    `input` - The `Cube` to own the `SolveDefinition`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `SolveDefinition`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `SolveDefinition`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.